Bug 1766622 - Update the RHEL System Roles package for SAP [rhel-8.1.0.z]
Summary: Update the RHEL System Roles package for SAP [rhel-8.1.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: rhel-system-roles-sap
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Than Ngo
QA Contact: Daniel Yeisley
samwrigh
URL:
Whiteboard:
Depends On: 1757504
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-29 14:09 UTC by Oneata Mircea Teodor
Modified: 2020-11-14 07:28 UTC (History)
9 users (show)

Fixed In Version: rhel-system-roles-sap-1.1.1-1.el8
Doc Type: Technology Preview
Doc Text:
.`rhel-system-roles-sap` rebased to version 1.1.1 With the link:https://access.redhat.com/errata/RHBA-2019:4258[RHBA-2019:4258] advisory, the `rhel-system-roles-sap` package has been updated to provide multiple bug fixes. Notably: * SAP system roles work on hosts with non-English locales * `kernel.pid_max` is set by the `sysctl` module * `nproc` is set to unlimited for HANA (see SAP note 2772999 step 9) * hard process limit is set before soft process limit * code that sets process limits now works identically to role `sap-preconfigure` * `handlers/main.yml` only works for non-uefi systems and is silently ignored on uefi systems * removed unused dependency on `rhel-system-roles` * removed `libssh2` from the `sap_hana_preconfigure_packages` * added further checks to avoid failures when certain CPU settings are not supported * converted all true and false to lowercase * updated minimum package handling * host name and domain name set correctly * many minor fixes The `rhel-system-roles-sap` package is available as a Technology Preview.
Clone Of: 1757504
Environment:
Last Closed: 2019-12-17 10:00:38 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:4258 0 None None None 2019-12-17 10:00:42 UTC

Comment 9 samwrigh 2019-12-05 19:44:46 UTC
Hi Than,

What do think about the following edits to the docs list:

----------------------

Rebase rhel-system-roles-sap to version: 1.1.1

 Highlights and bug fixes:
 - SAP system roles work on hosts with non-English locales
 - kernel.pid_max is set by the sysctl module
 - nproc is set to unlimited for HANA (see SAP note 2772999 step 9)
 - hard process limit is set before soft process limit
 - code that sets process limits now works indentically to role sap-preconfigure
 - handlers/main.yml only works for non-uefi systems and is seilently ignored on uefi systems
 - removed unused dependency on rhel-system-roles
 - removed libssh2 from the sap_hana_preconfigure_packages
 - added further checks to avoid failures when certain CPU settings are not supported
 - converted all true and false to lowercase
 - updated Minimum Package handling
 - hostname and domainname set correctly
 - many minor fixes


----------------------

Comment 10 Than Ngo 2019-12-06 10:47:55 UTC
(In reply to samwrigh from comment #9)
> Hi Than,
> 
> What do think about the following edits to the docs list:
> 
> ----------------------
> 
> Rebase rhel-system-roles-sap to version: 1.1.1
> 
>  Highlights and bug fixes:
>  - SAP system roles work on hosts with non-English locales
>  - kernel.pid_max is set by the sysctl module
>  - nproc is set to unlimited for HANA (see SAP note 2772999 step 9)
>  - hard process limit is set before soft process limit
>  - code that sets process limits now works indentically to role
> sap-preconfigure
>  - handlers/main.yml only works for non-uefi systems and is seilently
> ignored on uefi systems
>  - removed unused dependency on rhel-system-roles
>  - removed libssh2 from the sap_hana_preconfigure_packages
>  - added further checks to avoid failures when certain CPU settings are not
> supported
>  - converted all true and false to lowercase
>  - updated Minimum Package handling
>  - hostname and domainname set correctly
>  - many minor fixes
> 
> 
> ----------------------

it looks good! acked.
thanks

Comment 11 Daniel Yeisley 2019-12-09 17:45:17 UTC
I just re-tested rhel-system-roles-sap-1.1.1 on RHEL-8.1.0. I used it to configure the system and then installed HANA and started HANA 2.0. I had no issues.

Moving to verified.

Comment 13 errata-xmlrpc 2019-12-17 10:00:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4258


Note You need to log in before you can comment on or make changes to this bug.